//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SMFRAME.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <sfx\smdi.h>

DEFINE_RESPONSE_TABLE2(TSFXMDIFrame, TMDIFrame, TFrameWindow)
END_RESPONSE_TABLE;

// constructor for a TSFXMDIFrame

TSFXMDIFrame::TSFXMDIFrame(const char far* title,
						   TResId          menuResId,
						   TMDIClient&     clientWnd,
						   BOOL            sfxFrame,
						   BOOL            sfxCaption,
						   TModule*        module)
	:TMDIFrame(title, menuResId, clientWnd, module)
{
	TWindow::Init(0, title, module);
	TFrameWindow::Init(&clientWnd, FALSE);
	if (sfxFrame)
		Attr.Style |= MWS_SFXFRAME;
	else
		Attr.Style |= MWS_3DFRAME;
	if (sfxCaption)
		Attr.Style |= MWS_SFXCAPTION;
}

LRESULT
TSFXMDIFrame::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	return SFXDefFrameProc(HWindow, ClientWnd ? ClientWnd->HWindow : 0, 
	                       message, wParam, lParam);
}

IMPLEMENT_STREAMABLE3(TSFXMDIFrame, TMDIFrame, TFrameWindow, TWindow);

void*
TSFXMDIFrame::Streamer::Read(ipstream& is, uint32 /*version*/) const
{
	ReadVirtualBase((TMDIFrame*)GetObject(), is);
	return GetObject();
}

void
TSFXMDIFrame::Streamer::Write(opstream& os) const
{
	WriteVirtualBase((TMDIFrame*)GetObject(), os);
}

